package nl.voidcorp.discord

import net.dv8tion.jda.api.JDA
import net.dv8tion.jda.api.entities.User
import org.slf4j.Logger
import org.slf4j.LoggerFactory
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication

val logger: Logger = LoggerFactory.getLogger("OttoBot")
lateinit var jda: JDA

val creator: User
    get() = jda.getUserById(168743656738521088)!!

@SpringBootApplication
class SpringApp


fun main() {
    runApplication<SpringApp>()
}
