package nl.voidcorp.discord.commands

import nl.voidcorp.discord.command.Command
import nl.voidcorp.discord.command.CommandMessage
import nl.voidcorp.discord.command.CommandResult
import org.springframework.stereotype.Service

@Service
class Echo : Command("echo") {
    override fun handle(event: CommandMessage): CommandResult {
        event.reply(event.params.drop(1).joinToString(" "))
        return CommandResult.SUCCESS
    }
}